# Avalara Tax Content - Tax Region Lookup Service

Use this service to look up a tax region via latitude/longitude (or by address if this is not known).Tax regions are numeric identifiers used to identify a distinct area in ATC and are usually comprised of many Tax Jurisdictions (State/City etc).These may change from time to time as boundaries are redrawn.

Source: https://developer.avalara.com/products/avalara-tax-content/api/

**Version:** 1.0.0
**Base URL:** https://rest.content.avalara.com

---

## Endpoints

### Trls

#### Find Tax Region by address.

`POST /tax-regions/$lookup-by-address`

Retrieve Tax Region data for the specified address.
If the address cannot be resolved, zip9 (zip+plus4) will be used for accuracy.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `resolutionMode` | string | query | No | "coord" by default, set to "address" for explicit address lookup |
| `avalara-version` | string | header | No |  |

#### Find Tax Region by addresses (multiple supported).

`POST /tax-regions/$lookup-by-addresses`

Retrieve Tax Region data for the specified address.
If the address cannot be resolved, zip9 (zip+plus4) will be used for accuracy.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `resolutionMode` | string | query | No | "coord" by default, set to "address" for explicit address lookup |
| `avalara-version` | string | header | No |  |

#### Find Tax Region by coordinates.

`POST /tax-regions/$lookup-by-coordinates`

Retrieve Tax Region data for the specified latitude/longitude pairs.
Maximum of 1000 tax regions can be requested in a single request.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No |  |

---

## Models

### Address

| Property | Type | Description |
|---|---|---|
| `line1` | string | Address line 1. |
| `line2` | string | Address line 2. |
| `city` | string | City name. |
| `state` | string | State. |
| `zip` | string | Zip code. |
| `plus4` | string | Zip code +4. |
| `country` | string | Country. |
| `region` | string | Region (for Canada). |
| `postalCode` | string | Postal code (for Canada). |

### AddressRequest

| Property | Type | Description |
|---|---|---|
| `address` | Address |  |
| `date` | string | Date. |
| `id` | string | ID. |

### AddressResponse

| Property | Type | Description |
|---|---|---|
| `id` | string | ID. |
| `taxRegionId` | integer | Tax Region ID. |
| `resolveIssue` | object |  |

### CoordinatesRequest

| Property | Type | Description |
|---|---|---|
| `id` | string | ID. |
| `coordinates` | LatLong |  |
| `date` | string | Date. |
| `radius` | number | Radius. |

### CoordinatesResponse

| Property | Type | Description |
|---|---|---|
| `id` | string | ID. |
| `taxRegions` | array |  |

### Error400

| Property | Type | Description |
|---|---|---|
| `error` | Error400Details |  |

### Error400Details

| Property | Type | Description |
|---|---|---|
| `code` | string | Error code. |
| `message` | string | Error code. |

### Error401

| Property | Type | Description |
|---|---|---|
| `error` | Error401Details |  |

### Error401Details

| Property | Type | Description |
|---|---|---|
| `code` | string | Error code. |
| `message` | string | Error code. |

### LatLong

| Property | Type | Description |
|---|---|---|
| `latitude` | number | Latitude. |
| `longitude` | number | Longitude. |

### Taxregion

| Property | Type | Description |
|---|---|---|
| `taxRegionID` | integer | Tax Region ID. |
| `effectiveDate` | string | Effective Date. |
| `sunsetDate` | string | Sunset Date. |
| `state` | string | State or province abbreviation. |
| `country` | string | Country abbreviation. |
